/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * byteorder.h: structure access functions (i386 only!).
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _BYTEORDER_H
#define _BYTEORDER_H 1

#define IVAL(buf,pos) (SVAL(buf,pos)|SVAL(buf,(pos)+2)<<16)
#define SREV(x) ((((x)&0xFF)<<8) | (((x)>>8)&0xFF))
#define SVAL(buf,pos) (*(unsigned short *)((char *)(buf) + (pos)))
#define SSVAL(buf,pos,val) SVAL(buf,pos)=((unsigned short)(val))
#define RSSVAL(buf,pos,val) SSVAL(buf,pos,SREV(val))
#define RSVAL(buf,pos) SREV(SVAL(buf,pos))
#define CVAL(buf,pos) (((unsigned char *)(buf))[pos])
#define RIVAL(buf,pos) IREV(IVAL(buf,pos))
#define IREV(x) ((SREV(x)<<16) | (SREV((x)>>16)))

#define PTR_DIFF(p1,p2) ((ptrdiff_t)(((const char *)(p1)) - (const char *)(p2)))

#endif /* _BYTEORDER_H */
