/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * configfile.h: Prototypes for configfile.c.
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _CONFIGFILE_H
#define _CONFIGFILE_H 1

#include <netinet/in.h>

/* plenty */
#define NUM_RANGES 1024

extern int num_retries;
extern int retry_time;
extern int delay_time;
extern int verbosity;

extern int scan_interval;
extern int scan_wait;

extern struct in_addr scanrange[NUM_RANGES];
extern int scanrangesize[NUM_RANGES];
extern int ranges;

extern int use_mysql;
extern char mysql_host[64];
extern char mysql_username[32];
extern char mysql_password[32];

void parse_configfile();
void parse_line(char *buf, int lineno);
void parse_keyword(char *keyword, char *value, int lineno);
void parse_int(char *string, int *retval, int lineno);
void parse_range(char *string, int lineno);

void line_error(int lineno, char *err_str);

#endif
