/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * nbtscanner.c: Prototypes for nbtscanner.c.
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _NBTSCANNER_H
#define _NBTSCANNER_H 1

#include <netinet/in.h>

void interpret_node_status(char *p, struct in_addr in);
void resend_timed_out_packets(int fd);
void send_nbt_packet(int fd, struct in_addr to_ip);
void recv_nbt_packets(int fd);

void scan_range(struct in_addr ip, int rangesize);
int main(int argc, char *argv[]);

#endif /* _NBTSCANNER_H */

