/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * nmb.h: Prototypes for nmb.c.
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _NMB_H
#define _NMB_H 1

#include "packet.h"

void build_nbt_packet(struct nmb_packet *nmb, int name_trn_id);
int put_nmb_name(char *buf, int offset, struct nmb_name *name);
int build_nmb(char *buf, struct nmb_packet *nmb);
int parse_nmb(char *inbuf, int length, struct nmb_packet *nmb);
void make_nmb_name(struct nmb_name *n, const char *name, int type, const char *this_scope);
int parse_nmb_name(char *inbuf,int offset,int length, struct nmb_name *name);
int handle_name_ptrs(unsigned char *ubuf, int *offset, int length,
                             int *got_pointer, int *ret);
int parse_alloc_res_rec(char *inbuf, int *offset, int length,
                        struct res_rec **recs, int count);
void free_nmb_packet(struct nmb_packet *nmb);

#endif /* _NMB_H */
