/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * outputfile.c: nbtscanner text file output. 
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <arpa/inet.h>
#include <stdlib.h>

#include "mysql_interface.h"
#include "configfile.h"

int main(int argc, char *argv[])
{
	parse_configfile();

	if (!use_mysql) {
		if (verbosity >= 1) {
			fprintf(stderr, "Eeeeh, you have disabled MySQL! :-)\n");
		}
		exit(1);
	}

	init_mysql(mysql_host, mysql_username, mysql_password);
	print_all_records_mysql();
	finish_mysql();

	return 0;
}

