/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * packet.h: NMB/NBT packet structure definitions.
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _PACKET_H
#define _PACKET_H 1

#define MAX_DGRAM_SIZE 576
#define MIN_DGRAM_SIZE 12

struct nmb_name {
	char		name[17];
	char		scope[64];
	unsigned int	name_type;
};

struct res_rec {
	struct nmb_name	rr_name;
	int rr_type;
	int rr_class;
	int ttl;
	int rdlength;
	char rdata[MAX_DGRAM_SIZE];
};

struct nmb_packet {
	struct {
		int name_trn_id;
		int opcode;
		int response;
		struct {
			int bcast;
			int recursion_available;
			int recursion_desired;
			int trunc;
			int authoritative;
		} nm_flags;
		int rcode;
		int qdcount;
		int ancount;
		int nscount;
		int arcount;
	} header;

	struct {
		struct nmb_name question_name;
		int question_type;
		int question_class;
	} question;

	struct res_rec *answers;
	struct res_rec *nsrecs;
	struct res_rec *additional;
};

#endif /* _PACKET_H */
