/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * socket.h: Prototypes for socket.c.
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _SOCKET_H
#define _SOCKET_H 1

#include "packet.h"

#include <netinet/in.h>

int open_sockets(void);
int send_packet(struct nmb_packet *nmb, struct in_addr ip, int port, int fd);
struct nmb_packet *receive_packet(int fd, int t, struct in_addr *in);
struct nmb_packet *read_packet(int fd, struct in_addr *in);
int send_udp(int fd, char *buf, int len, struct in_addr ip, int port);
ssize_t read_udp_socket(int fd, char *buf, size_t len, struct in_addr *in);

#endif /* _SOCKET_H */
