/*
 * nbtscanner -- a tool for scanning large networks for SMB servers.
 *
 * stats.h: Definitions and prototypes for stats.c.
 * Copyright (C) 2000 Steinar H. Gunderson
 *
 * Large amounts of code adapted from Samba (http://www.samba.org/)
 * Copyright (C) Andrew Tridgell 1994-1998, and others.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _STATS_H
#define _STATS_H 1

extern int num_recv;
extern int num_recv_retries;
extern int num_failed;
extern int num_sent;
extern int num_sent_total;

enum statuses {
	SCANNING,
	RETRYING
};

extern enum statuses status;

void init_stats();
void print_stats(int force);

#endif /* _STATS_H */
